Banshee.Base 0.0.0.0 System.Object
- Constructor
  Protected constructor.
  The engine implementation should provide its own default public constructor. If it cannot recover in a working state from any error in initialization, it should throw or propagate any exception for to handle.
- Event
  Banshee.MediaEngine.PlayerEngineStateHandler To be added. To be added.
- Event
  Banshee.MediaEngine.PlayerEngineEventHandler To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.IntPtr[] To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Property
  Banshee.Base.TrackInfo The track that the engine is currently playing or has loaded. A TrackInfo object representing the currently loaded track. An interface can use this property to display to the user metadata about the current playing or loaded track.
- Property
  Banshee.Base.SafeUri To be added. To be added. To be added.
- Property
  Banshee.MediaEngine.PlayerEngineState Gets the current state of the engine. A PlayerEngineState type depicting the current state of the engine. An interface element, such as a play/pause button, should check this property to reflect the engine state in a UI.
- Property
  Banshee.MediaEngine.PlayerEngineState To be added. To be added. To be added.
- Property
  System.UInt16 To be added. To be added. To be added.
- Property
  System.Boolean Whether or not the playing stream is seekable. If seeking is possible in the stream, return value will be true; false if the stream does not support seeking. An interface element, such as a range slider, should check this value to determine its sensitivity.
- Property
  System.UInt32 To be added. To be added. To be added.
- Property
  System.UInt32 To be added. To be added. To be added.
- Property
  System.Collections.IEnumerable To be added. To be added. To be added.
- Property
  System.Collections.IEnumerable To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added.
- Property
  System.String To be added. To be added. To be added.
Abstract class implemented by media engine playback plugins.

PlayerEngine is an abstract class that engine backends can implement. It provides access to common features of a player backend, such as playback control and stream information.

Because Banshee supports multiple engines that can be switched between dynamically, in most situations you want to access common features of PlayerEngine through the global static class, .

PlayerEngineCore handles the runtime loading, initialization, and dynamic engine switching of implemented and available engines.